petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMFieldGetDM

Returns the DM for the manifold over which the field is defined.

### Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldGetDM(DMField field, DM *dm)

Not collective

### Input Parameter

field -The DMField object

### Output Parameter

dm -The DM object

### See Also

DMFieldEvaluate()

### Level

intermediate

### Location

src/dm/field/interface/dmfield.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages